chosen = love.audio.newSource("sounds/chosen.wav")
choose = love.audio.newSource("sounds/select.wav")
gameover = love.graphics.newImage ("images/ship03.png")
start = love.graphics.newImage("images/start.png")
quit = love.graphics.newImage("images/quit.png")
help = love.graphics.newImage("images/help.png")
scores = love.graphics.newImage("images/scores.png")
selectimage = love.graphics.newImage("images/select.png")
gamemode = "menu"
selectnum = 1
function gamemode_update()
	if love.keyboard.isDown("escape") then
		gamemode = "menu"
		selectnum = 1
		player.x = 168
		player.y = 400
		player.xvel = 0
		player.yvel = 0
	end
	if gamemode == "play" then
		selectnum = 0
	end
	if gamemode == "menu" then
		select()
	end
end
function gamemode_draw()
	if gamemode == "play" then
		player_draw()
		--baddies and bullets
	end
	if gamemode == "menu" then
		menu_page()
	end
	if gamemode == "helppage" then
		help_page()
	end
	if gamemode == "scores" then
		score_page()
	end
end
function select()
	function love.keyreleased(key)
		if (key == "w" or key == "up") and
			selectnum > 1 and
			selectnum < 5 then
			selectnum = selectnum - 1
			love.audio.play(choose)
			love.audio.rewind(choose)	
		end
			if (key == "s" or key == "down") and
			selectnum > 0 and
			selectnum < 4 then
			selectnum = selectnum + 1
			love.audio.play(choose)
			love.audio.rewind(choose)	
		end
	end
		if selectnum == 1 and 
			(love.keyboard.isDown("kpenter") or love.keyboard.isDown("return")) then
			gamemode = "play"
			love.audio.play(chosen)
			love.audio.rewind(chosen)
		end
		if selectnum == 2 and 
			(love.keyboard.isDown("kpenter") or love.keyboard.isDown("return")) then
			gamemode = "scores"
			love.audio.play(chosen)
			love.audio.rewind(chosen)
		end
		if selectnum == 3 and 
			(love.keyboard.isDown("kpenter") or love.keyboard.isDown("return")) then
			gamemode = "helppage"
			love.audio.play(chosen)
			love.audio.rewind(chosen)
		end
		if selectnum == 4 and 
			(love.keyboard.isDown("kpenter") or love.keyboard.isDown("return")) then
			love.event.push("quit")
		end
end
function score_page()
	love.graphics.draw(scores, 122, 100)
	love.graphics.print("You = 0 \nMe = ", 50, 150)
	love.graphics.print("8", 97, 167, math.pi/2)
	love.graphics.print("Code Art and Sound by @PurpleEsophagus aka Ryan Skinner", 2, 587)
end
function help_page()
	love.graphics.draw(help, 143, 100)
	love.graphics.print("Use W A S D or Arrow Keys to control the\nship. Press Space to shoot. Press Escape\nat anytime to go back to the Main Menu.\nI will be adding things to shoot, things to\nshoot them with, difficultie, sounds, scores,\nmaybe even multiplayer, and other stuff.\n\nStay tuned!", 70, 150)	love.graphics.print("Code Art and Sound by @PurpleEsophagus aka Ryan Skinner", 2, 587)
end
function over()
	if gamemode == "over" then
	love.graphics.draw(gameover, 122, 100)
	end
end
function menu_page()
	love.graphics.draw(start, 145, 240)
	love.graphics.draw(scores, 122, 280)
	love.graphics.draw(help, 145, 320)
	love.graphics.draw(quit, 142, 355)
		if selectnum == 1 then
			love.graphics.draw(selectimage, 100, 248)
		end
		if selectnum == 2 then
			love.graphics.draw(selectimage, 100, 288)
		end
		if selectnum == 3 then
			love.graphics.draw(selectimage, 100, 328)
		end
		if selectnum == 4 then
			love.graphics.draw(selectimage, 100, 363)
		end
	love.graphics.print("Code Art and Sound by @PurpleEsophagus aka Ryan Skinner", 2, 587)
end